Skip to main content
PATCH
/
v1
/
tickets
/
sub-ticket
Mark a ticket as sub-ticket
curl --request PATCH \
  --url https://platform.thena.ai/v1/tickets/sub-ticket \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "parentTicketId": "<string>",
  "assignedAgentId": "<string>",
  "description": "<string>",
  "dueDate": "2023-11-07T05:31:56Z",
  "submitterEmail": "<string>",
  "statusId": "<string>",
  "priorityId": "<string>",
  "typeId": "<string>",
  "isPrivate": true,
  "attachmentUrls": [
    "<string>"
  ],
  "customFieldValues": [
    {}
  ],
  "subTicketId": "<string>",
  "title": "<string>"
}
'
{
  "status": true,
  "message": "Success",
  "timestamp": "2024-01-01T00:00:00.000Z",
  "data": {
    "id": "<string>",
    "title": "<string>",
    "ticketId": 123,
    "description": "<string>",
    "accountId": "<string>",
    "status": "<string>",
    "priority": "<string>",
    "account": "<string>",
    "teamId": "<string>",
    "teamName": "<string>",
    "isPrivate": true,
    "typeId": "<string>",
    "type": "<string>",
    "assignedAgent": "<string>",
    "assignedAgentId": "<string>",
    "requestorEmail": "<string>",
    "submitterEmail": "<string>",
    "customFieldValues": [
      "<string>"
    ],
    "deletedAt": "<string>",
    "archivedAt": "<string>",
    "createdAt": "<string>",
    "updatedAt": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Enter the bearer token

Body

application/json
parentTicketId
string
required

The ID of the parent ticket

assignedAgentId
string

The ID of the assigned agent

description
string

The description of the ticket

dueDate
string<date-time>

The due date of the ticket

submitterEmail
string

The email of the submitter

statusId
string

The ID of the status

priorityId
string

The ID of the priority

typeId
string

The ID of the type

isPrivate
boolean

Whether the ticket is private

attachmentUrls
string[]

The attachment URLs

customFieldValues
object[]

The custom field values

subTicketId
string

The ID of the ticket to mark as a sub-ticket

title
string

The title of the ticket

Response

Operation successful

status
boolean
default:true
required

The status of the response

message
string
default:Success
required

The message of the response

timestamp
string<date-time>
default:2024-01-01T00:00:00.000Z
required

The timestamp of the response

data
object
required

The response for create/update/delete ticket operations